Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
KeyAgreementAlgorithm Class Reference

interface for key agreement algorithms More...

`#include <cryptlib.h>`

Inheritance diagram for KeyAgreementAlgorithm:

List of all members.

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| returns a reference to the crypto material used by this object
const CryptoMaterial & | GetMaterial () const
| returns a const reference to the crypto material used by this object
virtual CryptoParameters & | AccessCryptoParameters ()=0
virtual const CryptoParameters & | GetCryptoParameters () const
void | BERDecode (BufferedTransformation &bt)
| for backwards compatibility, calls AccessMaterial().Load(bt)
void | DEREncode (BufferedTransformation &bt) const
| for backwards compatibility, calls GetMaterial().Save(bt)
virtual std::string | AlgorithmName () const
| returns name of this algorithm, not universally implemented yet
virtual Clonable * | Clone () const
| this is not implemented by most classes yet

## Detailed Description

interface for key agreement algorithms

Definition at line 1176 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h